## Apache Zeta Components Manual :: Docs For Class ezcDocumentHtmlConverterOptions

### Document::ezcDocumentHtmlConverterOptions

### Class ezcDocumentHtmlConverterOptions

Class containing the basic options for the ezcDocumentEzp3Xml class

Source for this file: /Document/src/options/html_rendering.php

    ezcBaseOptions
       |
       --ezcDocumentConverterOptions
          |
          --ezcDocumentHtmlConverterOptions

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentDocbookToHtmlConverterOptions | Class containing the basic options for the ezcDocumentEzp3Xml class

### Properties

bool | read/write | `$dublinCoreMetadata` Use the dublincore meta element names for metadata in HTML.
bool | read/write | `$formatOutput` Indent the XHtml output
string | read/write | `$headerLevel` Header level to start with. Is only used by inline HTML renderer.
string | read/write | `$styleSheet` Stylesheet to embed in the HTML header, if the property $stylesheets has not been set. This property contains the default stylesheet for HTML output.
array | read/write | `$styleSheets` Array of stylesheet URLs to embed in the HTML header, if there is one.

### Inherited Member Variables

From ezcDocumentConverterOptions
protected | `ezcDocumentConverterOptions::$properties`

### Method Summary

public ezcDocumentHtmlConverterOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcDocumentHtmlConverterOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentDocbookToHtmlConverterOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3